Download

How many versions of UE do I need? 4.23 - 4.27

Hi! I have installed UE versions 4.23, 4.24, 4.26 and 4.27. Is there any reason to keep all these versions or just the latest. I assume any work is backward compatible from 4.27 but wanted to confirm I can get rid the older version. Thanks!

I decided to delete versions prior to 4.7 and the only issue I had is with a few projects being not compatible. So far, all my work is for learning and I can reinstall a version if necessary. So, lesson learned is not all projects are backward compatible with most recent build.